Gestiono
Referencia de APIResources / Record

Create Record bulk

← Back to full API reference
POST/v1/resource/record/bulkAuth required
  • Validated by Zod schema: postBulkResourceRecord.

Request details

Body fields

FieldRequiredDescription
typeYesType: enumExample: IN
descriptionNoType: string
divisionIdYesType: number
destinationDivisionIdNoType: number
recordsYesType: arrayExample:
records[]YesType: object
records[].resourceIdYesType: number
records[].quantityNoType: number
records[].beneficiaryIdNoType: number
records[].stateNoType: enumExample: CONFIRMED
records[].expiryDateNoType: stringExample:
records[].serialNumbersNoType: arrayExample:
records[].serialNumbers[]YesType: string

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "type": "IN",
  "divisionId": 1,
  "records": [
    {
      "resourceId": 1
    }
  ]
}

Sample response

json
"<result>"